$ErrorActionPreference = 'Stop';

$packageName = 'PowerBI'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://download.microsoft.com/download/9/B/A/9BAEFFEF-1A68-4102-8CDF-5D28BFFE6A61/PBIDesktop.msi'
$url64      = 'https://download.microsoft.com/download/9/B/A/9BAEFFEF-1A68-4102-8CDF-5D28BFFE6A61/PBIDesktop_x64.msi'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  url64bit      = $url64

  softwareName  = 'PowerBI*'

  checksum      = '8742546dac3c50bf5e8dd7abeb2dc44b0b057a9a1c64347be4f531e7e998d31d'
  checksumType  = 'sha256'
  checksum64    = '7bf26292e24f04f0ba33d421f3b2cc5c0b0956ab0e59223e7d758202e3481e72'
  checksumType64= 'sha256'

  silentArgs    = "/qb ACCEPT_EULA=1 /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`""
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
